> For the complete documentation index, see [llms.txt](https://docs.axom.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.axom.money/references/callbacks/withdrawal-completed-1.md).

# Withdrawal approved/rejected notification

When a given withdrawal that was pending approval is either approved or rejected we will send out a notification .

> This callback notification is sent on your `withdrawalApprovalCallbackUrl` endpoint.

{% tabs %}
{% tab title="Approved" %}

```javascript
{
   "withdrawalId": "557d2a15-0eb2-47c6-8fec-7fa7d0e833f7",
   "clientWithdrawalId": "crypto-withdrawal-1",
   "status": "APPROVED"
}
```

{% endtab %}

{% tab title="Rejected" %}

```javascript
{
   "withdrawalId": "557d2a15-0eb2-47c6-8fec-7fa7d0e833f7",
   "clientWithdrawalId": "crypto-withdrawal-1",
   "status": "REJECTED"
}
```

{% endtab %}
{% endtabs %}

### Schema

| withdrawalId       | string <mark style="color:red;">\[required]</mark> | Unique withdrawal identifier `UUID`                                                              |
| ------------------ | -------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| clientWithdrawalId | string <mark style="color:red;">\[required]</mark> | Unique withdrawal identifier provided by the merchant in the request body of POST `/withdrawals` |
| status             | string <mark style="color:red;">\[required]</mark> | One of `APPROVED`, `PENDING,REJECTED` or `SKIPPED`                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.axom.money/references/callbacks/withdrawal-completed-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
